Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::DialogDescriptionElement Class Reference

Inherits Object.

## Public Member Functions
| DialogDescriptionElement ()
| Constructor.
| DialogDescriptionElement (const char *name, const char *item_id, const char *type, const char *next_tab, int width, int height, int char_width, int char_height, const char *font, bool bold, bool italic, const char *alignment, const char *align_children, DialogDescriptionElementArray element_array)
| Constructor, with parameters. More...
| DialogDescriptionElement (const DialogDescriptionElement &dlg_des_element)
| Constructor, with another dialog description element object. More...
DialogDescriptionElement & | operator= (const DialogDescriptionElement &dlg_des_element)
| Assign operator. More...
void | Set (const char *name, const char *item_id, const char *type, const char *next_tab, int width, int height, int char_width, int char_height, const char *font, bool bold, bool italic, const char *alignment, const char *align_children, DialogDescriptionElementArray element_array)
| Set values. More...

## Public Attributes
String | align_children
| The alignment for all descendants.
String | alignment
| The alignment for this element.
bool | bold
| Specify if the font is bold.
int | char_height
| Specifies the height of the element in characters. More...
int | char_width
| Specifies the width of the element in characters. More...
DialogDescriptionElementArray | element_array
| An array of object literals that describe the subelements of this dialog box element.
String | font
| The font to use for this element. More...
int | height
| Specifies the height of the element in pixels. More...
bool | italic
| Specify if the font is italic.
String | item_id
| An ItemID for this dialog box.
String | name
| The displayed name of the dialog box element.
String | next_tab
| An ItemID for the next dialog box item in the tab order.
String | type
| The type of this dialog box element.
int | width
| Specifies the width of the element in pixels. More...

## Detailed Description

This class represents a dialog box elements property specifies an object literal with the following set of properties.

## Constructor & Destructor Documentation

## ◆ DialogDescriptionElement() [1/2]

foxit::DialogDescriptionElement::DialogDescriptionElement | ( | const char * | name,
|  | const char * | item_id,
|  | const char * | type,
|  | const char * | next_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | const char * | font,
|  | bool | bold,
|  | bool | italic,
|  | const char * | alignment,
|  | const char * | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

## ◆ DialogDescriptionElement() [2/2]

foxit::DialogDescriptionElement::DialogDescriptionElement | ( | const DialogDescriptionElement & | dlg_des_element | ) |
| inline

Constructor, with another dialog description element object.

Parameters

  [in] | dlg_des_element | Another dialog description element object.

## Member Function Documentation

## ◆ operator=()

DialogDescriptionElement& foxit::DialogDescriptionElement::operator= | ( | const DialogDescriptionElement & | dlg_des_element | ) |
| inline

Assign operator.

Parameters

  [in] | dlg_des_element | Another dialog description element object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::DialogDescriptionElement::Set | ( | const char * | name,
|  | const char * | item_id,
|  | const char * | type,
|  | const char * | next_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | const char * | font,
|  | bool | bold,
|  | bool | italic,
|  | const char * | alignment,
|  | const char * | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |
| inline

Set values.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

Returns
  None.

## Member Data Documentation

## ◆ char_height

int foxit::DialogDescriptionElement::char_height

Specifies the height of the element in characters.

If no height is specified, the combined height of the contents is used.

## ◆ char_width

int foxit::DialogDescriptionElement::char_width

Specifies the width of the element in characters.

If no width is specified, the combined width of the contents is used.

## ◆ font

String foxit::DialogDescriptionElement::font

The font to use for this element.

It will be one of the following strings:

- "default" - Default font
- "dialog" - Dialog box font
- "palette" - Palette (small) Font

## ◆ height

int foxit::DialogDescriptionElement::height

Specifies the height of the element in pixels.

If no height is specified, the combined height of the contents is used.

## ◆ width

int foxit::DialogDescriptionElement::width

Specifies the width of the element in pixels.

If no width is specified, the combined width of the contents is used.